> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get data for panels given in body



## OpenAPI

````yaml post /api/v1/panel-data
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/panel-data:
    post:
      tags:
        - data
      summary: Get data for panels given in body
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PanelDataRequest'
          application/transit+msgpack:
            schema:
              $ref: '#/components/schemas/PanelDataRequest'
          application/transit+json:
            schema:
              $ref: '#/components/schemas/PanelDataRequest'
          application/edn:
            schema:
              $ref: '#/components/schemas/PanelDataRequest'
        required: true
      responses:
        default:
          description: ''
          content: {}
components:
  schemas:
    PanelDataRequest:
      required:
        - endTime
        - filterBys
        - panels
        - startTime
      type: object
      properties:
        startTime:
          type: integer
          format: int64
        endTime:
          type: integer
          format: int64
        aggregationInterval:
          type: integer
          format: int64
        groupBys:
          type: array
          items:
            type: string
        fetchAll:
          type: boolean
        filterBys:
          $ref: '#/components/schemas/FilterBys'
        panels:
          type: array
          items:
            $ref: '#/components/schemas/PanelSchema'
      additionalProperties: false
    FilterBys:
      type: object
      additionalProperties:
        type: object
        x-oneOf:
          - type: array
            items:
              type: string
          - type: string
            enum:
              - all
    PanelSchema:
      type: object
      properties:
        timeseries:
          type: array
          items:
            $ref: '#/components/schemas/TimeSeries'
        sortOrder:
          type: string
          enum:
            - desc
            - asc
        groupBys:
          type: array
          items:
            type: string
        query:
          type: object
          x-oneOf:
            - type: array
              items:
                type: string
                enum:
                  - <=
                  - not=
                  - '>'
                  - '>='
                  - '='
                  - <
            - type: array
              items:
                type: string
                enum:
                  - between
            - type: array
              items:
                type: string
                enum:
                  - in
            - type: array
              items:
                type: string
                enum:
                  - or
                  - and
      additionalProperties:
        type: object
    TimeSeries:
      required:
        - aggregator
        - column
        - table
      type: object
      properties:
        table:
          type: string
        column:
          type: string
        query:
          type: object
          x-oneOf:
            - type: array
              items:
                type: string
                enum:
                  - <=
                  - not=
                  - '>'
                  - '>='
                  - '='
                  - <
            - type: array
              items:
                type: string
                enum:
                  - between
            - type: array
              items:
                type: string
                enum:
                  - in
            - type: array
              items:
                type: string
                enum:
                  - or
                  - and
        groupBys:
          type: array
          items:
            type: string
        aggregator:
          type: string
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````